Subject: [pim] Few question/suggestions on 'Explicit RPF Vector' draft

From: Javed Asghar <[email-masked]>
Date: Thu, 20 Jun 2013 11:37:56 -0700

Hi Bharat,

Thanks for your comments.
We have minor draft updates which cover your comments.
Please see comments inline.

Thanks,
-Javed.

> * Should not this draft talk about join suppression?
> => Please refer to RFC 5496, same behavior applies to explicit rpf
> vector.
> But the draft should at least mention this with a reference to the other RFC.

JA>>> Yes, we have added text for join suppression behavior and reference RFC 5496 behavior. Please note that if a router already has multicast state via explicit vector tlv, join suppression will be applied to the same upstream neighbor.

> * Should not this draft talk about PIM Asserts and how they should be
> handled?
> => Please refer to RFC 5496, same behavior applies to explicit rpf
> vector.

>Same as above.

JA>>> Yes, draft updated for completeness based on your comments. Made reference to RFC 5496 section 3.3.3. Please note same behavior applies to all rfp vector types, including explicit rpf vector.

> * Should not this draft talk about how those PIM neighbors handle the
> PIM JOIN which do not understand this particular attribute yet?
> => RFC 5384 says that an attribute that isn't understood is dropped and
> not forwarded.  The same behavior applies to this attribute too. The
> result will be that a regular PIM join will be send upstream of this
> router.

> Again, I think the draft should mention this or refer to the RFC.

JA>>> Yes, draft updated with above reference and comments.

---

From: Bharat Joshi <[email-masked]>
Date: Fri, 21 Jun 2013 03:27:43 +0000

Hi Javed,

        Thanks for your reply. I hope these changes will improve the draft.

Regards,
Bharat

> JA>>> Yes, we have added text for join suppression behavior and
> reference RFC 5496 behavior. Please note that if a router already has
> multicast state via explicit vector tlv, join suppression will be
> applied to the same upstream neighbor.
>
> JA>>> Yes, draft updated for completeness based on your comments. Made
> reference to RFC 5496 section 3.3.3. Please note same behavior applies
> to all rfp vector types, including explicit rpf vector.
> 
> 
**************** CAUTION - Disclaimer *****************
This e-mail contains PRIVILEGED AND CONFIDENTIAL INFORMATION intended solely 
for the use of the addressee(s). If you are not the intended recipient, please 
notify the sender by e-mail and delete the original message. Further, you are not 
to copy, disclose, or distribute this e-mail or its contents to any other person and 
any such actions are unlawful. This e-mail may contain viruses. Infosys has taken 
every reasonable precaution to minimize this risk, but is not liable for any damage 
you may sustain as a result of any virus in this e-mail. You should carry out your 
own virus checks before opening the e-mail or attachment. Infosys reserves the 
right to monitor and review the content of all messages sent to or from this e-mail 
address. Messages sent to or from this e-mail address may be stored on the 
Infosys e-mail system.
***INFOSYS******** End of Disclaimer ********INFOSYS***